package mop.pipe;


/**
 * Implementazione triviale di un "cosumer/producer" per documenti XML 
 */
public interface DocumentListener {
    
    /**
     * Invocato quando un evento di tipo document pubblica un nuovo
     * documento XML
     * 
     * @param event evento XML da elaborare
     * @throws ChannelException interrompe l'elaborazione da parte dell'intera pipe
     * @see DocumentEvent
     * @see SimpleChannel
     */
    
	public void onDocument( DocumentEvent event ) throws ChannelException;
}
