package mop.pipe;

/**
 * Provoca l'interruzione elaborazione di un canale
 */
public class ChannelException extends Exception {

	/**
	 * Costruttore predefinito
	 */
	public ChannelException() {
		super();
	}

	/**
	 * Construttore con messaggio
	 * 
	 * @param message messaggio
	 */
	public ChannelException(String message) {
		super(message);
	}

	/**
	 * Construttore con eccezione annidata
	 * 
	 * @param cause eccezione annidata
	 */
	public ChannelException(Throwable cause) {
		super(cause);
	}

	/**
	 * Construttore con messaggio ed eccezione annidata
	 * 
	 * @param message messaggio
	 * @param cause eccezione annidata
	 */
	public ChannelException(String message, Throwable cause) {
		super(message, cause);
	}

}
