package mop.pipe;

import org.w3c.dom.Document;


/**
 * Implementazione triviale di un producer XML.
 * Produce un documento DOM da una sorgente a piacere.
 */
public interface DocumentSource {

    /**
     * Produttore documento DOM
     * 
     * @return documento DOM da elaborare
     * @throws ChannelException interrompe l'elaborazione da parte dell'intera pipe
     */
	public Document createDocument() throws ChannelException;

}
